# Method: projects.locations.environments.create

- [HTTP request](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#body.request_body)
- [Response body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/create#try-it)

Create a new environment.

### HTTP request

`POST https://composer.googleapis.com/v1/{parent=projects/*/locations/*}/environments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent must be of the form "projects/{projectId}/locations/{locationId}". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `composer.environments.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments#Environment`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/composer/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudcomposer`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).